petsc-3.4.2 2013-07-02

# PetscViewerBinaryWrite

writes to a binary file, only from the first process

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerBinaryWrite(PetscViewer viewer,void *data,PetscInt count,PetscDataType dtype,PetscBool istemp)

Collective on MPI_Comm

### Input Parameters

| viewer | - the binary viewer
| data | - location of data
| count | - number of items of data to read
| dtype | - type of data to read
| istemp | - data may be overwritten

Notes: because byte-swapping may be done on the values in data it cannot be declared const

### See Also

PetscViewerASCIIOpen(), PetscViewerSetFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscDataType PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscBinaryViewerRead()

Level:beginner
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex61gen.c.html